CONFIG +=			release \
					warn_on \
					qt \
					thread \
					c++11

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		cmmusaged
} else {
	TARGET =		cmmusage
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui \
					sql

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

# DEPENDPATH +=		<relative path>/lib
# INCLUDEPATH +=	<relative path>/src
# LIBS+=			-L<relative path>/lib -l<library name>

SOURCES +=			../core/automation.cpp \
					../core/messagebox.cpp \
					src/activeprogramwidget.cpp \
					src/cmmusage.cpp \
					src/database.cpp \
					src/databaseitem.cpp \
					src/datawidget.cpp \
					src/main.cpp \
					src/monitorprocess.cpp \
					src/summarytext.cpp

HEADERS +=			../core/automation.h \
					../core/messagebox.h \
					src/activeprogramwidget.h \
					src/cmmusage.h \
					src/database.h \
					src/databaseitem.h \
					src/datawidget.h \
					src/monitorprocess.h \
					src/summarytext.h

RESOURCES +=		res/cmmusage.qrc

macx{

# ICON =			res/icons.icns
QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/cmmusage
}
target.path =		$$PREFIX
target.files =		bin/cmmusage
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/cmmusage
}

win32 {
RC_FILE =			res/resource.rc
}
win32 { 
LIBS += 			-loleaut32 \
        			-liphlpapi \
        			-lole32 \
        			-luuid
}
