/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2024  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////

#ifndef DATAWIDGETHEADERFILE
#define DATAWIDGETHEADERFILE

#include <QWidget>
#include <QStringList>
#include <QItemSelection>

class QLineEdit;
class QListView;
class QLabel;
class QStringListModel;
class QSortFilterProxyModel;

class TModelData;

class TDataWidget : public QWidget
{
Q_OBJECT

public:

// CREATORS
	TDataWidget(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	~TDataWidget(void);

// ACCESSORS

// MANIPULATORS
	void Set_Title(const QString &text);
	void Set_Data(const QStringList &list);
	
signals:
	void Selection_Changed(const QStringList &selections);

private slots:
	void Model_Selection_Changed(const QItemSelection &selected, const QItemSelection &deselected);

private:
	QLabel								*d_title_label;
	QLineEdit							*d_search_edit;
	QListView							*d_data_list;
	QStringListModel					*d_string_list_model;
	QSortFilterProxyModel				*d_sort_filter_proxy_model;

// NOT IMPLEMENTED
	TDataWidget(const TDataWidget&);
	TDataWidget& operator=(const TDataWidget&);
};

#endif
