/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2024  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef MONITORPROCESSHEADERFILE
#define MONITORPROCESSHEADERFILE

#include <QThread>

// helper functions to monitor processes (opening, closing, ...)
// currently very basic but will likely extend as needed.

class TMonitorProcess : public QThread
{
Q_OBJECT
public:
	
// CREATORS
	TMonitorProcess(const QObject *parent=0);
	~TMonitorProcess(void);

// ACCESSORS
	
// MANIPULATORS
	void Set_Monitor_Class(const QString &name) {d_class_name = name;}
	void Stop_Thread(void) {d_stop_thread = true;}
	
signals:
	void Class_Visible(bool);
	
protected:
	void run(void);

private:
	QString								d_class_name;
	bool								d_class_visible;
	
	bool								d_stop_thread;
	
// NOT IMPLEMENTED
	TMonitorProcess(const TMonitorProcess&);
	TMonitorProcess& operator=(const TMonitorProcess&);
};

#endif
