/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2024  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////

#ifndef SUMMARYTEXTHEADERFILE
#define SUMMARYTEXTHEADERFILE

#include <QObject>
#include <QString>
#include <QStringList>

#include "database.h"
#include "databaseitem.h"

class TSummaryText : public QObject
{
	Q_OBJECT

public:
// CONSTRUCTORS
	TSummaryText(TDatabase *database,const QStringList &dates,const QStringList &programs);
	~TSummaryText(void);
	
// ACCESSORS
	QString Text(void) const {return d_summary_text;}
	bool Has_Valid_Summary(void) const {return d_has_valid_summary;}
	
// MANIPULATORS

public slots:
	void Generate_Summary_Text(void);

signals:
	void Finished(void);

private:
	TDatabase 							*d_database;
	QStringList							d_dates;
	QStringList							d_programs;
	QString								d_summary_text;
	bool								d_has_valid_summary;
	
	void Clear_Summary(void);
	void Add_Summary_Text(const QString &text);

// NOT IMPLEMENTED
	TSummaryText(const TSummaryText&);
	TSummaryText& operator=(const TSummaryText&);
};


#endif

